%define name libsexymm
%define version 0.1.9
%define release %mkrel 3
%define major 2
%define libname %mklibname sexymm %major

Summary: Collection of widgets for gtkmm
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://releases.chipx86.com/libsexy/%name/%{name}-%{version}.tar.xz
License: LGPL
Group: System/Libraries
Url: http://www.chipx86.com/wiki/Libsexy
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#-------------------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}atkmm1.6-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}cairomm1.0-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}glibmm2.4-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gtkmm2.4-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}pangomm2.4-devel
BuildRequires: %{_lib}sexy-devel
BuildRequires: %{_lib}sigc++2.0_0-devel
#-------------------------------------------------

%description
This is a collection of widgets for gtkmm.

%package -n %libname
Group:System/Libraries
Summary: Collection of widgets for gtkmm

%description -n %libname
This is a collection of widgets for gtkmm.

%package -n %libname-devel
Group:Development/Libraries
Summary: Collection of widgets for gtkmm
Requires: %libname = %version
Provides: libsexymm-devel = %version-%release
%description -n %libname-devel
This is a collection of widgets for gtkmm.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm


%clean
rm -rf %buildroot

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.%{major}*

%files -n %libname-devel
%defattr(-,root,root)
%doc ChangeLog AUTHORS NEWS
%_includedir/*
%_libdir/*.so
%_libdir/%name
%_libdir/pkgconfig/*


%changelog
* Wed Aug 20 2014 bb <bb> 0.1.9-3pclos2014
- rebuild for new directfb
- drop .la files
- disable static
